"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.register = void 0;
const core_1 = require("@checkup/core");
const eslint_disable_task_1 = require("./tasks/eslint-disable-task");
const eslint_summary_task_1 = require("./tasks/eslint-summary-task");
const outdated_dependencies_task_1 = require("./tasks/outdated-dependencies-task");
const lines_of_code_task_1 = require("./tasks/lines-of-code-task");
const eslint_disable_actions_1 = require("./actions/eslint-disable-actions");
const eslint_summary_actions_1 = require("./actions/eslint-summary-actions");
const outdated_dependency_actions_1 = require("./actions/outdated-dependency-actions");
function register(args) {
    let pluginName = core_1.getPluginName(__dirname);
    args.register.actions('eslint-disables', eslint_disable_actions_1.evaluateActions);
    args.register.actions('eslint-summary', eslint_summary_actions_1.evaluateActions);
    args.register.actions('outdated-dependencies', outdated_dependency_actions_1.evaluateActions);
    args.register.task(new eslint_summary_task_1.default(pluginName, args.context));
    args.register.task(new eslint_disable_task_1.default(pluginName, args.context));
    args.register.task(new outdated_dependencies_task_1.default(pluginName, args.context));
    args.register.task(new lines_of_code_task_1.default(pluginName, args.context));
}
exports.register = register;
//# sourceMappingURL=index.js.map