import { BaseTask, ESLintOptions, Task, TaskContext } from '@checkup/core';
import { PackageJson } from 'type-fest';
import { Result } from 'sarif';
export declare type PackageJsonWithEslint = PackageJson & {
    eslintConfig: string;
};
/**
 * @export
 * @description In prioritized order as specified by https://eslint.org/docs/user-guide/configuring
 */
export declare const ACCEPTED_ESLINT_CONFIG_FILES: string[];
export default class EslintSummaryTask extends BaseTask implements Task {
    taskName: string;
    taskDisplayName: string;
    description: string;
    category: string;
    private analyzer;
    constructor(pluginName: string, context: TaskContext);
    run(): Promise<Result[]>;
    readEslintConfig(paths: string[], basePath: string, pkg: PackageJsonWithEslint): ESLintOptions;
}
//# sourceMappingURL=eslint-summary-task.d.ts.map